Skip to main content
GET
/
projects
/
{project_id}
/
resources
List Resources
curl --request GET \
  --url https://api.example.com/projects/{project_id}/resources
import requests

url = "https://api.example.com/projects/{project_id}/resources"

response = requests.get(url)

print(response.text)
const options = {method: 'GET'};

fetch('https://api.example.com/projects/{project_id}/resources', options)
  .then(res => res.json())
  .then(res => console.log(res))
  .catch(err => console.error(err));


[
  {
    "provider": "<string>",
    "resource": "<string>",
    "name": "<string>",
    "project_id": "<string>",
    "id": "<string>",
    "created_at": "2023-11-07T05:31:56Z",
    "updated_at": "2023-11-07T05:31:56Z",
    "config": {},
    "resolved_config": {},
    "dependencies": [],
    "owner_references": [],
    "outputs": {},
    "error": "<string>",
    "lifecycle_state": "draft",
    "health": "healthy",
    "health_message": "<string>",
    "pending_event_id": "<string>",
    "pending_event_type": "<string>",
    "provisioned": false,
    "reconcile_count": 0,
    "version": 0,
    "tags": [
      "<string>"
    ],
    "provider_version": "<string>"
  }
]
{
  "detail": [
    {
      "loc": [
        "<string>"
      ],
      "msg": "<string>",
      "type": "<string>",
      "input": "<unknown>",
      "ctx": {}
    }
  ]
}

Path Parameters

project_id
string
required

Query Parameters

provider
string | null

Filter by provider name

resource
string | null

Filter by resource type

tags
string[] | null

Filter by tags (all must match)

health
enum<string> | null

Filter by health status (healthy or degraded)

Available options:
healthy,
degraded
reveal
boolean
default:false

Reveal sensitive field values

Response

Successful Response

provider
string
required
resource
string
required
name
string
required
project_id
string
required
id
string
required
read-only

External resource ID for API responses: provider/resource/name.

created_at
string<date-time>
updated_at
string<date-time>
config
Config · object
resolved_config
Resolved Config · object | null
dependencies
ResourceReference · object[]
owner_references
OwnerReference · object[]
outputs
Outputs · object
error
string | null
lifecycle_state
enum<string>
default:draft

Lifecycle states for resources.

Available options:
draft,
waiting,
pending,
processing,
ready,
failed,
deleting
health
enum<string>
default:healthy
Available options:
healthy,
degraded
health_message
string | null
pending_event_id
string | null
pending_event_type
string | null
provisioned
boolean
default:false
reconcile_count
integer
default:0
version
integer
default:0
tags
string[] | null
provider_version
string | null
managed_by
enum<string> | null
Available options:
user,
platform